import 'package:easy_pin_code/easy_pin_code.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  MyApp({Key? key}) : super(key: key);

  final TextEditingController _controller = TextEditingController();

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Example',
      theme: ThemeData(
        primarySwatch: Colors.blue
      ),
      home: SafeArea(
        child: Scaffold(
          appBar: AppBar(
            title: const Text('Example')
          ),
          body: Container(
            padding: const EdgeInsets.all(10),
            width: double.infinity,
            alignment: Alignment.center,
            child: Column(
              mainAxisSize: MainAxisSize.max,
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.center,
              children: [
                EasyPinCode(
                  length: 4,
                  controller: _controller,
                  autoSubmit: true,
                  type: EasyPinCodeType.displayedValueSquare,
                  marginBetween: 10,
                  onSubmit: (value) async {
                    await Future.delayed(const Duration(seconds: 3));
                    _controller.clear();
                  }
                )
              ]
            )
          )
        )
      )
    );
  }
}
